#!/bin/sh
sed -i -e 's/v[[:digit:]]\..*\//edge\//g' /etc/apk/repositories
apk upgrade
apk add ffmpeg
node app.js &
sleep 1s
while [ True ]; do
  for i in $(cat /lists/fanta.txt); do
    ffmpeg -loglevel quiet -re -i async:cache:"$i" -threads 2 -f flv -vcodec h264 -acodec aac rtmp://127.0.0.1/live/streaming?sign=1590502038931-b04c1d7b5bfc3dc61ddce23b2dda3649
  done
done
